System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.All)

A with a value of true indicates to the Properties window that the associated property should be displayed with parentheses around its name. The Properties window displays a property with parentheses around its name near the top of the list in alphabetical mode, or near the top of its category if the Properties window is in categorize mode.

Indicates whether the name of the associated property is displayed with parentheses in the Properties window. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class that indicates that the associated property should not be shown with parentheses.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, using the specified value to indicate whether the attribute is displayed with parentheses.

  true if the name should be enclosed in parentheses; otherwise, false.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ParenthesizePropertyNameAttribute To be added

  Initializes a new instance of the class with a default value that indicates that the associated property should not be shown with parentheses. This field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Compares the specified object to this object and tests for equality.

  true if equal; otherwise, false.

  The object to be compared.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Gets the hash code for this object.

  The hash code for the object the attribute belongs to.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Gets a value indicating whether the current value of the attribute is the default value for the attribute.

  true if the current value of the attribute is the default value of the attribute; otherwise, false.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the Properties window displays the name of the property in parentheses in the Properties window.